/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GRPS                                                     */
/* Tabela : GRUPSIST                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 22/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_GRPS
BEFORE INSERT OR UPDATE OR DELETE
ON GRUPSIST FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUGRPS := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUGRPS := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('GRUPSIST', '', 'CDGRUPSIST='||:OLD.CDGRUPSIST||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE GRUPSIST MODIFY DTULTATUGRPS DEFAULT SYSDATE
/
