/* Teknisa - Tecnologia em Informtica

Nome: 3954_EXPFUNS_LISTA_PEDIDOS_NF.SQL

Descrio:
Funo para retornar todos os pedidos da nota concatenados


@c:\web_605\Sql\End_Conv\SqlServer\3954_EXPFUNS_LISTA_PEDIDOS_NF.sql
*/


IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LISTA_PEDIDOS_NF' AND
                 TYPE = 'FN' 		       AND
	              U.UID = O.UID            AND
	              U.NAME = USER)
DROP FUNCTION LISTA_PEDIDOS_NF
GO


CREATE FUNCTION LISTA_PEDIDOS_NF(
   @P_CDFILIAL     VARCHAR(04),
   @P_NRLANCTONF   VARCHAR(10)) RETURNS VARCHAR
AS
BEGIN
   DECLARE @V_RESULT VARCHAR(5000);
   DECLARE @C_PEDIDOS_CDFILIALPED VARCHAR(04);
   DECLARE @C_PEDIDOS_NRPEDIDO VARCHAR(10);

   SET @V_RESULT = '';
   DECLARE C_PEDIDOS CURSOR FOR SELECT DISTINCT CDFILIALPED, NRPEDIDO
                                  FROM ITEMPRODUTO
                                 WHERE CDFILIAL   = @P_CDFILIAL
                                   AND NRLANCTONF = @P_NRLANCTONF;
   OPEN C_PEDIDOS;
   FETCH NEXT FROM C_PEDIDOS INTO @C_PEDIDOS_CDFILIALPED, @C_PEDIDOS_NRPEDIDO;
   WHILE (@@FETCH_STATUS = 0) BEGIN

      IF (LEN(@V_RESULT) > 0) BEGIN
         SET @V_RESULT = @V_RESULT + ' - ' + @C_PEDIDOS_NRPEDIDO;
      END
      ELSE BEGIN
         SET @V_RESULT = @C_PEDIDOS_NRPEDIDO;
      END;
      FETCH NEXT FROM C_PEDIDOS INTO @C_PEDIDOS_CDFILIALPED, @C_PEDIDOS_NRPEDIDO;
   END;
   CLOSE C_PEDIDOS;
   DEALLOCATE C_PEDIDOS;
   RETURN(@V_RESULT);
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LISTA_PEDIDOS_NF','0.00.000';
GO

